aboutsummaryrefslogtreecommitdiffstats
path: root/testsuite/order.sh
diff options
context:
space:
mode:
Diffstat (limited to 'testsuite/order.sh')
-rwxr-xr-xtestsuite/order.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/testsuite/order.sh b/testsuite/order.sh
index a9c79ff..48cd8e5 100755
--- a/testsuite/order.sh
+++ b/testsuite/order.sh
@@ -22,7 +22,11 @@ echo $PRELINK ${PRELINK_OPTS--vm} ./order >> order.log
$RUN_HOST $PRELINK ${PRELINK_OPTS--vm} ./order >> order.log 2>&1 || exit 2
grep -q ^`echo $PRELINK | sed 's/ .*$/: /'` order.log && exit 3
if [ "x$CROSS" = "x" ]; then
- $RUN LD_LIBRARY_PATH=. ./order >> order.log || exit 4
+ $RUN LD_LIBRARY_PATH=. ./order >> order.log
+ if [ $? -ne 0 ]; then
+ echo "ERROR: Dynamic linker is resolving depth first, not breadth first"
+ exit 4
+ fi
fi
# So that it is not prelinked again
chmod -x ./order